* {
    box-sizing: border-box;
}

body {
    width: 100%;
    padding: 0%;
    margin: 0%;
    background-color: #FFEED6;
}

/* header styles. keep simple. for mobile view (vertical) stack on top of main section */

header {
    display: flex;
    color: #181F1C;
    font-family: "Patrick Hand", sans-serif;
    padding: 1% 3%;
    margin-bottom: 0%;
    justify-content: space-between;
    align-items: center;
}

header a, header nav a {
    color: #181F1C;
    text-decoration: none;
}

/* styling for the hamburger menu icon */

.hamMenuIcon {
    display: none;
    width: 40px;
    height: 60px;
    position: relative;
}

input#hamMenu {
    display: none;
}

.hamMenuPiece {
    position: absolute;
    width: 100%;
    height: 6px;
    border-radius: 33%;
    background-color: #181F1C;
    transition: 0.5s;
}

.hamMenuPiece:nth-child(1) {
    top: 15px;
}

.hamMenuPiece:nth-child(2) {
    top: 30px;
}

input#hamMenu:checked + .hamMenuIcon .hamMenuPiece:nth-child(1) {
    transform: translateY(7.5px) rotate(-45deg);
}

input#hamMenu:checked + .hamMenuIcon .hamMenuPiece:nth-child(2) {
    transform: translateY(-7.5px) rotate(45deg);
}

/* more navigation  */

nav ul {
    display: flex;
    list-style-type: none;
    font-size: larger;
}

nav ul li {
    margin-inline: 1em;
}

header nav ul li {
    padding: 5%;
}

header nav ul a {
    text-decoration: underline;
}

header nav ul a:hover {
    text-decoration: none;
    background-color: #E9D796;
}

main {
    color: #181F1C;
    font-family: "Patrick Hand", sans-serif;
    min-height: 75vh;
    width: 100%;
    padding: 0%;
    margin: 0%;
}

h2 {
    font-weight: normal;
}

p a {
    color: #181F1C;
    text-decoration: underline;
}

p a:hover {
    color: #181F1C;
    text-decoration: none;
    background-color: #E9D796;
}

/* footer styling */

footer {
    min-height: 25vh;
    border-top: 2px dashed #181F1C;
    background-color: #FFEED6;
    color: #181F1C;
    font-family: "Patrick Hand", sans-serif;
    padding: 5% 3%;
}

footer img {
    width: 5%;
}

footer a {
    color: #181F1C;
    text-decoration: underline;
}

footer a:hover {
    color: #181F1C;
    text-decoration: none;
    background-color: #E9D796;
}